Daemon Power

The NetBSD Packages Collection: net/tigervnc

Brief description of the package:
High-performance, platform-neutral VNC client/server

Please read the file "DESCR" for a longer description, or browse the package's history.

This package has a home page at http://tigervnc.org/.

Please note that this package has a gnu-gpl-v2 license.

The package is located in the "net/tigervnc" directory. The current source version of the package is "tigervnc-1.9.0nb1". For a summary on how to use the package collection, go to the top of the packages tree.

Problem reports, updates or suggestions for this package should be reported with send-pr.

The following security vulnerabilities are known for net/tigervnc :

If you have a vulnerable package installed on any machine, you are advised to remove the package immediately, using the standard package tools. The pkg_admin audit command locates any installed package which has been mentioned in security advisories as being vulnerable.

This package requires the following package(s) to build: mcookie-[0-9]* cwrappers>=20150314 perl>=5.0 jpeg>=8nb1 hicolor-icon-theme>=0.4 gnutls>=3.3.0 lzo>=2.01 gmp>=5.0 gmp>=4.2.1 libcfg+>=0.6.2nb1 libtasn1>=4.9 libtasn1>=0.2.7 nettle>=3.1 gmp>=5.0.1 nettle>=2.4 p11-kit>=0.23.1 mozilla-rootcerts>=1.0.20150804nb1 libffi>=1.20 libffi>=3.0.11 libtasn1>=0.3.0 p11-kit>=0.10 p11-kit>=0.23 libunistring>=0.9.3 libcfg+>=0.6.2nb3 nettle>=3.1.1 libunistring>=0.9.4 libgcrypt>=1.2.0 libgpg-error>=1.13 libgpg-error>=0.6 libgpg-error>=1.10nb1 Xft2>=2.1 fontconfig>=2.2 libuuid>=2.18 freetype2>=2.8.1 freetype2>=2.4.5 freetype2>=2.1.3 freetype2>=2.4.11 gperf-[0-9]* fontconfig>=2.10.93 fontconfig>=2.1nb2 Xrender>=0.9.0nb2 x11-links>=1.12 osabi-NetBSD-8.0_RC2 xorgproto>=2016.1 Xrender>=0.2 Xrender>=0.8.2 fontconfig>=2.13.0 Xrender>=0.9.0nb1 Xft2>=2.1nb2 xcursor>=1.0 Xfixes>=2.0.0 fixesproto>=3.0.0<5 Xrender>=0.8 Xfixes>=2.0.1nb2 xcursor>=1.1.1 libXtst>=1.0.1 libdrm>=2.4.15 fltk>=1.3.3 MesaLib>=3.4.2 libxcb>=1.6 libXdmcp>=0.99 libXau>=1.0 xcb-proto>=1.13 libxml2>=2.6.2 xmlcatmgr>=2.0beta1 libxml2>=2.8.0nb2 xcb-proto>=1.4 py27-mako-[0-9]* py27-setuptools>=0.8 py27-expat-[0-9]* python27>=2.7 readline>=2.2 readline>=6.0 python27>=2.7.1nb2 glu>=3.4.2 MesaLib>=7.11.2 glu>=6.0 glut>=3.4.2 glu>=7.11.2 png>=1.2.4 glut>=7.11.2 Xft2>=2.1.7nb7 jpeg>=9 png>=1.6.0nb1 fltk>=1.3.0 pixman>=0.25.2 libXfont>=1.2.0 libfontenc>=0.99 xtrans>=1.0.3 Xrandr>=0.99 Xrandr>=1.0.1 hicolor-icon-theme>=0.9nb1 gnutls>=3.6.0nb1 libgcrypt>=1.6.0 xcursor>=1.1.2nb1 fltk>=1.3.3nb4 libXfont>=1.4.5nb2 Xrandr>=1.0.2nb3 xorg-util-macros-[0-9]* font-util-[0-9]* tradcpp-[0-9]* .

This package requires the following package(s) to run: mcookie-[0-9]* perl>=5.0 jpeg>=8nb1 hicolor-icon-theme>=0.4 gnutls>=3.3.0 lzo>=2.01 gmp>=5.0 gmp>=4.2.1 libcfg+>=0.6.2nb1 libtasn1>=4.9 libtasn1>=0.2.7 nettle>=3.1 gmp>=5.0.1 nettle>=2.4 p11-kit>=0.23.1 mozilla-rootcerts>=1.0.20150804nb1 libffi>=1.20 libffi>=3.0.11 libtasn1>=0.3.0 p11-kit>=0.10 p11-kit>=0.23 libunistring>=0.9.3 libcfg+>=0.6.2nb3 nettle>=3.1.1 libunistring>=0.9.4 libgcrypt>=1.2.0 libgpg-error>=1.13 libgpg-error>=0.6 libgpg-error>=1.10nb1 Xft2>=2.1 fontconfig>=2.2 libuuid>=2.18 freetype2>=2.8.1 freetype2>=2.4.5 freetype2>=2.1.3 freetype2>=2.4.11 fontconfig>=2.10.93 fontconfig>=2.1nb2 Xrender>=0.9.0nb2 Xrender>=0.2 Xrender>=0.8.2 fontconfig>=2.13.0 Xrender>=0.9.0nb1 Xft2>=2.1nb2 xcursor>=1.0 Xfixes>=2.0.0 Xrender>=0.8 Xfixes>=2.0.1nb2 xcursor>=1.1.1 libXtst>=1.0.1 libdrm>=2.4.15 fltk>=1.3.3 MesaLib>=3.4.2 libxcb>=1.6 libXdmcp>=0.99 libXau>=1.0 glu>=3.4.2 MesaLib>=7.11.2 glu>=6.0 glut>=3.4.2 glu>=7.11.2 png>=1.2.4 glut>=7.11.2 Xft2>=2.1.7nb7 jpeg>=9 png>=1.6.0nb1 fltk>=1.3.0 pixman>=0.25.2 libXfont>=1.2.0 libfontenc>=0.99 Xrandr>=0.99 Xrandr>=1.0.1 hicolor-icon-theme>=0.9nb1 gnutls>=3.6.0nb1 libgcrypt>=1.6.0 xcursor>=1.1.2nb1 fltk>=1.3.3nb4 libXfont>=1.4.5nb2 Xrandr>=1.0.2nb3 .

This package supports the following build-time options:

(none)

Select one of the links below to download the package in precompiled binary form for installation with pkg_add(1). Available machine architectures and package versions:
alpha:tigervnc-1.6.0.tgz(NetBSD 7.0)
earmv7hf:tigervnc-1.8.0nb2.tgz(NetBSD 8.0)
i386:tigervnc-1.8.0nb3.tgz(NetBSD 8.0)
i386:tigervnc-1.8.0.tgz(NetBSD 8.0)
i386:tigervnc-1.8.0nb2.tgz(NetBSD 8.0)
powerpc:tigervnc-1.8.0nb3.tgz(NetBSD 8.0)
powerpc:tigervnc-1.8.0nb2.tgz(NetBSD 8.0)
sparc64:tigervnc-1.8.0.tgz(NetBSD 8.0)
x86_64:tigervnc-1.8.0nb3.tgz(NetBSD 8.0)
x86_64:tigervnc-1.8.0.tgz(NetBSD 8.0)
x86_64:tigervnc-1.8.0nb2.tgz(NetBSD 8.0)

The NetBSD packages collection is designed to permit easy installation from source - particularly useful if the latest binary package is not available for your chosen platform.


[ Go up one level | Go to top of packages tree | List all packages ]